package com.njcn.prepare.enums;

import lombok.Getter;

/**
 * 干扰源类型枚举
 */
@Getter
public enum InterferenceTypeEnum {
    Electric_Load("Electric_Load", "电加热负荷"),
    Electrolytic_Load("Electrolytic_Load", "电解负荷"),
    Transportation_Hubs("Transportation_Hubs", "交通枢纽"),
    Nonlinear_Loads("Nonlinear_Loads", "非线性负荷"),
    Electrified_Railways("Electrified_Railways", "电气化铁路"),
    Fre_Equipment("Fre_Equipment", "变频调速设备"),
    Mill("Mill", "轧机"),
    Medium_Furnace("Medium_Furnace", "中频炉"),
    Precision_Mach("Precision_Mach", "精密加工"),
    Com_Muni("Com_Muni", "商业/市政"),
    AC_DC_Inverter("AC_DC_Inverter", "交直流逆变器"),
    Shock_Loads("Shock_Loads", "冲击性负荷"),
    Electric_Weld_Load("Electric_Weld_Load", "电焊负荷"),
    dycs("dycs", "电压测试"),
    dlcs("dlcs", "电流测试"),
    Zlzz("Zlzz", "整流装置"),
    Hospital("Hospital", "医院"),
    Manufacturing("Manufacturing", "半导体制造");

    private final String code;

    private final String message;

    InterferenceTypeEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }

}
